petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSSetMaxStepRejections

Sets the maximum number of step rejections before a step fails

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetMaxStepRejections(TS ts,PetscInt rejects)

Not Collective

### Input Parameter

| ts | - TS context
| rejects | - maximum number of rejected steps, pass -1 for unlimited

### Notes

The counter is reset to zero for each step

### Options Database Key

. -ts_max_reject - Maximum number of step rejections before a step fails

### See Also

TSGetSNESIterations(), TSGetKSPIterations(), TSSetMaxSNESFailures(), TSGetStepRejections(), TSGetSNESFailures(), TSSetErrorIfStepFails(), TSGetConvergedReason()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex42.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages